Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.maltparser.ml.libsvm
Enum Libsvm.Verbostity

    java.lang.Object
      java.lang.Enum<Libsvm.Verbostity>
          org.maltparser.ml.libsvm.Libsvm.Verbostity

All Implemented Interfaces:
  Serializable, Comparable<Libsvm.Verbostity>

Enclosing class:
  Libsvm

    public static enum Libsvm.Verbostity

extends Enum<Libsvm.Verbostity>

Enum Constant Summary
`ALL`
`ERROR`
`SILENT`

Method Summary
`static Libsvm.Verbostity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Libsvm.Verbostity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SILENT

    public static final Libsvm.Verbostity SILENT

### ERROR

    public static final Libsvm.Verbostity ERROR

### ALL

    public static final Libsvm.Verbostity ALL

Method Detail

### values

    public static Libsvm.Verbostity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Libsvm.Verbostity c : Libsvm.Verbostity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Libsvm.Verbostity valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.